{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Personne{% endblock %}

{% block body %}
<div class="row">

  <h1 class="mb-4 display-1">
    <span class="text-muted">Personne :</span> {{person.firstname}} {{person.lastname}}
  </h1>

  <div class="accordion mb-4">

    <!-- IDENTITY -->
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-identity" aria-controls="collapse-identity">
          Identité
        </button>
      </h2>
      <div id="collapse-identity" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          <ul class="list-group list-group-flush">

            <li class="list-group-item">
              <span class="metadata-name">
                Genre
              </span> 
              {{person.gender|gender}}
            </li>
            
            {% if person.particle %}
            <li class="list-group-item">
              <span class="metadata-name">
                Particule
              </span>
            {{person.particle}}
            </li>
            {% endif %}

            {% if person.socialTitle %}
            <li class="list-group-item">
              <span class="metadata-name">
                Titre
              </span>
              {{person.socialTitle.name}}
            </li>
            {% endif %}
            
            {% if person.pseudonym %}
            <li class="list-group-item">
              <span class="metadata-name">
                Pseudonyme
              </span>
              {% for pseudo in person.pseudonym|splitAlternatives %}
                {{pseudo}}
                {{ not loop.last ? '/' }}
              {% endfor %}
            </li>
            {% endif %}

            <li class="list-group-item">
              <span class="metadata-name">
                Naissance
              </span>
              <a href="{{ path('dateaccess', {'from': person.birthMin|date("Y-m-d", false), 'to': person.birthMax|date("Y-m-d", false)}) }}">
                {{ interval( person.birthMin, person.birthMax) }}
              </a>
            </li>

            <li class="list-group-item">
              <span class="metadata-name">
                Mort
              </span>
              <a href="{{ path('dateaccess', {'from': person.deathMin|date("Y-m-d", false), 'to': person.deathMax|date("Y-m-d", false)}) }}">
                {{ interval( person.deathMin, person.deathMax) }}
              </a>
            </li>

            {% if person.nationality %}
            <li class="list-group-item">
              <span class="metadata-name">
                Lieu de naissance
              </span>
                {{person.nationality.name}}
            </li>
            {% endif %}

            {% if person.skills is not empty %}
            <li class="list-group-item">
              <span class="metadata-name">
                Métiers
              </span>
              {% for skill in person.skills %}
                <a href="{{ path('persons_skill', {'id': skill.id}) }}">
                  {{skill.name}}
                </a>
                {{ not loop.last ? '/' }}
              {% endfor %}
            </li>
            {% endif %}

            {% if person.authorities is not empty %}
             <ul class="list-group list-group-flush">
                <span class="linked-resources">Ressources liées :</span> </br>

              {% for key, value in person.authorities %}
                <li class="list-group-item">
                  <span class="metadata-name">{{key}} : </span>  
                    <a href="{{value}}">{{value}}</a>
                  <br/>
                </li>
              {% endfor %}
             </ul>
            {% endif %}

            {# {% if person.wikidata %}
            <li class="list-group-item">
              <span class="metadata-name">
                Wikidata
              </span>
              <a href="{{person.wikidata}}">lien</a>
            </li>
            {% endif %} #}

          </ul>
        </div>
      </div>
    </div>

    <!-- MEMBERSHIPS -->
    {% if person.companyMemberships is not empty or person.publisherMemberships is not empty %}


    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-memberships" aria-controls="collapse-memberships">
          Membre
        </button>
      </h2>
      <div id="collapse-memberships" class="accordion-collapse collapse show" >
      <div class="accordion-body">

        {% if person.companyMemberships is not empty %}
        
            <h3>D'une troupe</h3>

            <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Role</th>
                  <th scope="col">Troupe</th>
                  <th scope="col">De</th>
                  <th scope="col">à</th>

                </tr>
              </thead>
              <tbody>
                {% for membership in person.companyMemberships %}
                  <tr>
                    <td scope="col">
                          {{membership.activity.name}}<br/>
                    </td>
                    <td scope="col">
                          <a href="{{path('company', {id: membership.company.id})}}">{{membership.company.name}}</a> 
                    </td> 
                    <td scope="col">
                    <a href="{{ path('dateaccess', {'from': membership.startMin|date("Y-m-d", false), 'to': membership.startMax|date("Y-m-d", false)}) }}">
                        {{ interval( membership.startMin, membership.startMax) }}
                      </a>
                    </td>
                    <td scope="col">
                      <a href="{{ path('dateaccess', {'from': membership.endMin|date("Y-m-d", false), 'to': membership.endMax|date("Y-m-d", false)}) }}">
                        {{ interval( membership.endMin, membership.endMax) }}
                      </a>                    
                    </td>

                  </tr>
                {% endfor %}
              </tbody>
            </table>
        
          </div>
        {% endif %}

        {% if person.publisherMemberships is not empty %}

          <h3>Comme libraire-imprimeur </h3>

          <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Imprimeur-libraire</th>
                  <th scope="col">Rôle</th>
                </tr>
              </thead>
              <tbody>
         
                  {% for association in person.publisherMemberships %}
                  <tr>
                    <td scope="col">                      
                          <a href="{{ path('publisher', {id: association.publisher.id}) }}">
                            <i>{{association.publisher.name}}</i>
                          </a>
                    </td>
                    <td scope="col">
                      {{association.activity.name}} 
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>

        {% endif %}
              
      </div>
    </div>
        {% endif %}

    {% if person.creations is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-creations" aria-controls="collapse-creations">
          Créations ({{person.creations|length}})
        </button>
      </h2>
      <div id="collapse-creations" class="accordion-collapse collapse show" >
        <div class="accordion-body">

            <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Titre</th>
                  <th scope="col">Date</th>
                  <th scope="col">Rôle</th>
                </tr>
              </thead>
              <tbody>
              {% for creation in person.creations %}
                {% set firstRep = creation.script.performances|sort((a, b) => a.start <=> b.start)|first %}
                  <tr>
                      <td scope="col">           
                          <a href="{{ path('script', {id: creation.script.id}) }}">
                            <i>{{creation.script.title}}</i>
                          </a> 
                      </td>
                      <td scope="col">     
                          {{interval(firstRep.start, firstRep.end)}}
                      </td>
                      <td scope="col">
                          {{creation.activity.name}}
                      </td>
                  </tr>
              {% endfor %}
              </tbody>
            </table>

        </div>
      </div>
    {% endif %}

    <!-- PERFORMANCES -->
    {% if person.performances is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-performances" aria-controls="collapse-performances">
          Performances ({{person.performances|length}})
        </button>
      </h2>
      <div id="collapse-performances" class="accordion-collapse collapse show" >
        <div class="accordion-body">

          <table id="datatable" class="table table-striped">
            <thead>
              <tr>
                <th scope="col">Performance</th>
                <th scope="col">Rôle</th>
                <th scope="col">Troupe</th>
                <th scope="col">Date</th>
              </tr>
            </thead>
            <tbody>
            {% for participation in person.performances %}
              <tr>
                <td scope="col">
                  <a href="{{ path('performance', {id: participation.performance.id}) }}">
                    <i>{{participation.performance.script.title}}</i> ({{ interval( participation.performance.start, participation.performance.end) }})
                  </a>
                </a> 
                </td>
                <td scope="col">
                    {{participation.activity.name}}
                </td>
                <td scope="col">
                    {% if participation.performance.company is not empty %}
                        {{participation.performance.company.name}}
                    {% endif %}
                </td>
                <td scope="col">
                    {{ interval( participation.performance.start, participation.performance.end) }}

                </td>
              </tr>
            {% endfor %}
            </tbody>
          </table>

        </div>
      </div>
    </div>
    {% endif %}

    <!-- NOTES -->
    {% if person.notes is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-notes" aria-controls="collapse-notes">
          Notes
        </button>
      </h2>
      <div id="collapse-notes" class="accordion-collapse collapse show">
        <div class="accordion-body">
          <ul class="list-group list-group-flush">
          {% for note in person.notes %}
            <li class="list-group-item">

                <span class="metadata-name">
                  Sujet 
                </span>
                {{ note.target }} <br/>

                <span class="metadata-name">
                  Objet 
                </span>
                {{ note.content |raw }} <br/>

                {% if note.user %}
                <span class="metadata-name">
                  Utilisateur
                </span>
                {{note.user.signature}} <br/>
                {% endif %}

            </li>
          {% endfor %}
          </ul>
        </div>
      </div>
    </div>
    {% endif %}

  </div>
</div>
{% endblock %}
